Subject: Re: AW: documentation archive
From: Earnie Boyd <[email-masked]>
To: Vladimir G Ivanovic <[email-masked]>, [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 20 Dec 2000 11:39:23 -0800 (PST)

--- Vladimir G Ivanovic <[email-masked]> wrote:
> "EB" == Earnie Boyd <[email-masked]> writes:
> 
>   EB> --- [email-masked] wrote:
>   >> we loaded cgwin-docs_tar.tar, but we can not open it. tar says
>   >> "hmm, seems not to be a tar archive" and winzip read a header with
>   >> 0 byte. Can you help us ?
>   >>
> 
>   EB> 1) Don't use Netscape to download your files.
> 
> I use Netscape almost exclusively to download files, without problems.
> Sometimes Netscape will automagically decompress the file, but not
> rename it. So all applications that key off of the file name extension
> will be confused. It's a simple matter to rename the file to end in
> ".tar". Also, see below.
> 

You're free to do as you wish.  But, if you report such problems on this list
you will receive the stated advice.

>   EB> 2) Don't use Winzip to explore a cygwin archive file.
> 
> I do this as well without problems, although it's not my preferred way
> of exploring a gzipped tar gile. WinZip will ask if it should decompress
> the file to a temporary directory and open it, which it does admirably.
> Also, see below.
> 

WinZip doesn't support Cygwin links.  If the tar archive contains any of those
links (and some packages do) then you will not be able to use the unarchived
file as it was intended to be used.  WinZip has never been supported.  WinZip
also has that smart CRLF option and that in itself was enough to not use it.

>   EB> 3) The name of the file should be cygwin-docs.tar.gz
> 
> "cygwin-docs.tgz" could work as well. See below.
> 

Say thank-you, DJ.

>   EB> Cheers,
> 
> I have registered two new file types in Explorer to make my life easier:
> In Tools:Folder Options:File Types, I've added
>   
>   GZ  --> WinZip
>   TGZ --> WinZip 
> 

You're asking for trouble.

> You might have to do the same in Netscape (Edit:Preferences:Applications).
> 

Never.

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Shopping - Thousands of Stores. Millions of Products.
http://shopping.yahoo.com/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple